chiark / gitweb /
Recommends depends bzr
[dsa-metapackages.git] / debian / control
1 Source: debian.org
2 Section: local/admin
3 Priority: required
4 Maintainer: Debian sysadmin Team <debian-admin@debian.org>
5 Uploaders: Peter Palfrader <weasel@debian.org>, Martin Zobel-Helas <zobel@debian.org>
6 Build-Depends: debhelper (>= 7)
7 Standards-Version: 3.8.1
8
9 Package: debian.org
10 Architecture: all
11 Depends: userdir-ldap, zsh, tcsh, pdksh, ksh, csh, ntp, locales-all, exim4-daemon-heavy | postfix, sudo, libpam-pwdfile, vim, munin-node, gnupg, bzip2, cacert-spi | ca-certificates (>> 20080411), ed, cron
12 Recommends: debian.org-recommended
13 Conflicts: dchroot-dsa (<= 2:1)
14 Description: DSA's host metapackage
15  This package depends on packages that should be installed on every
16  debian.org host, and conflicts with packages that should never be
17  installed.
18
19 Package: debian.org-recommended
20 Architecture: all
21 Depends: debian.org,
22         molly-guard
23         ,
24         subversion, rcs, git-core, bzr
25         ,
26         mtr-tiny, tcpdump, iproute,
27         bind9-host, dnsutils
28         ,
29         emacs22-nox | emacs22 | emacs21-nox | emacs21
30         ,
31         at, uptimed,
32         puppet,
33         locate, dlocate
34         ,
35         dsa-nagios-checks
36         ,
37         lshw,
38         dmidecode | not+amd64,
39         dmidecode | not+i386,
40         dmidecode | not+ia64
41         ,
42         mcelog | not+amd64,
43         mcelog | not+i386
44         ,
45         htop, lsof, psmisc
46         ,
47         mc,
48         less
49         rsync,
50         screen,
51         ldap-utils, ldapvi
52         ,
53         deborphan, dialog
54         ,
55         bsd-mailx
56         ,
57         timeout
58 Description: metapackage to pull in recommended, but not essential tools
59  This package depends on packages that are recommended to  be installed on
60  every debian.org host but are not essential.
61
62 Package: debian.org-bugs.debian.org
63 Architecture: all
64 Depends: graphviz,
65         libcgi-simple-perl,
66         libio-stringy-perl,
67         liblist-moreutils-perl,
68         libmime-tools-perl,
69         libmldbm-perl,
70         libparams-validate-perl,
71         libsafe-hole-perl,
72         libtext-template-perl,
73         liburi-perl,
74         libhtml-tree-perl,
75         libsoap-lite-perl
76 Description: metapackages for bugs.debian.org dependencies
77  This package depends on everything that is needed for a bugs.debian.org
78  mirror or (in the future) bugs-master.
79
80
81 Package: debian.org-packages.debian.org
82 Architecture: all
83 Depends: db4.6-util,
84         liblocale-maketext-lexicon-perl,
85         libi18n-acceptlanguage-perl,
86         libnumber-format-perl,
87         libcompress-zlib-perl,
88         libhtml-parser-perl,
89         libmldbm-perl,
90         libtext-iconv-perl,
91         libclass-accessor-perl,
92         liburi-perl,
93         libtemplate-perl,
94         liblingua-stem-perl,
95         libsearch-xapian-perl,
96         libapache2-mod-perl2,
97         libapache2-reload-perl
98 Description: metapackages for packages.debian.org dependencies
99  This package depends on everything that is needed for a packages.debian.org
100  mirror or (in the future) packages-master.
101